Subject: BUG: e1000 Invalid truesize

From: Jens Axboe <[email-masked]>
Date: Wed, 26 Apr 2006 16:25:23 +0200

Hi,

My problematic e1000 card (that sporadically gets transmit timeouts with
a driver newer than 2.6.14) hits new problems in current git after this
commit:

    [NET]: Add skb->truesize assertion checking.

I thought I'd mention it, since it may help fix the real problem.
Basically I get tons of:

SKB BUG: Invalid truesize (592) len=712, sizeof(sk_buff)=208
SKB BUG: Invalid truesize (592) len=448, sizeof(sk_buff)=208
SKB BUG: Invalid truesize (592) len=712, sizeof(sk_buff)=208
SKB BUG: Invalid truesize (592) len=448, sizeof(sk_buff)=208
SKB BUG: Invalid truesize (592) len=500, sizeof(sk_buff)=208
SKB BUG: Invalid truesize (592) len=500, sizeof(sk_buff)=208
SKB BUG: Invalid truesize (592) len=500, sizeof(sk_buff)=208
[...]

and some net connections don't work well. Putting the 2.6.14 driver back
into current git makes things work smoothly, as always.

(Please be sure to cc me, I'm not on netdev)

-- 
Jens Axboe